Bug 868300 - misses systemd files
misses systemd files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
18
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 08:52 EDT by udo
Modified: 2013-06-11 22:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 14:24:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udo 2012-10-19 08:52:29 EDT
Description of problem:
On my box systemd provides these files:
/usr/lib/systemd/system/plymouth-halt.service
/usr/lib/systemd/system/plymouth-kexec.service
/usr/lib/systemd/system/plymouth-poweroff.service
/usr/lib/systemd/system/plymouth-quit-wait.service
/usr/lib/systemd/system/plymouth-quit.service
/usr/lib/systemd/system/plymouth-read-write.service
/usr/lib/systemd/system/plymouth-reboot.service
/usr/lib/systemd/system/plymouth-start.service
even when I do not use plymouth at all; so why does systemd provide thse?
Please move these away from systemd to plymouth!

Version-Release number of selected component (if applicable):
systemd-44-17.fc17.x86_64

How reproducible:
install systemd
  
Actual results:
see above

Expected results:
plymouth-related files in plymouth rpm

Additional info:
Comment 1 udo 2013-06-09 01:23:17 EDT
Furthermore:
# grep ply /var/log/messages
Jun  9 07:00:49 surfplank2 systemd[11320]: Failed at step EXEC spawning /bin/plymouth: No such file or directory
Jun  9 07:00:49 surfplank2 systemd[11332]: Failed at step EXEC spawning /bin/plymouth: No such file or directory
# systemctl|grep plym
#

Yet systemd thinks we need to do something with plymouth when we go from runlevel 3 to runlevel 5 manually.
If these plymouth related files were not in systemd rpm but in plymouth rpm this problem would not exist.
Comment 2 Ray Strode [halfline] 2013-06-11 14:24:11 EDT
We fixed this a while back. I don't remember exactly when:

[rstrode@halflap] (/home/rstrode) <02:23 PM>
$ rpm -q plymouth
plymouth-0.8.8-5.fc18.x86_64

[rstrode@halflap] (/home/rstrode) <02:23 PM>
$ rpm -ql plymouth
/etc/plymouth
/etc/plymouth/plymouthd.conf
/lib/systemd/system/halt.target.wants
/lib/systemd/system/halt.target.wants/plymouth-halt.service
/lib/systemd/system/initrd-switch-root.target.wants
/lib/systemd/system/initrd-switch-root.target.wants/plymouth-switch-root.service
/lib/systemd/system/kexec.target.wants
/lib/systemd/system/kexec.target.wants/plymouth-kexec.service
/lib/systemd/system/multi-user.target.wants
/lib/systemd/system/multi-user.target.wants/plymouth-quit-wait.service
/lib/systemd/system/multi-user.target.wants/plymouth-quit.service
/lib/systemd/system/plymouth-halt.service
/lib/systemd/system/plymouth-kexec.service
/lib/systemd/system/plymouth-poweroff.service
/lib/systemd/system/plymouth-quit-wait.service
/lib/systemd/system/plymouth-quit.service
/lib/systemd/system/plymouth-read-write.service
/lib/systemd/system/plymouth-reboot.service
/lib/systemd/system/plymouth-start.service
/lib/systemd/system/plymouth-switch-root.service
/lib/systemd/system/poweroff.target.wants
/lib/systemd/system/poweroff.target.wants/plymouth-poweroff.service
/lib/systemd/system/reboot.target.wants
/lib/systemd/system/reboot.target.wants/plymouth-reboot.service
/lib/systemd/system/sysinit.target.wants
/lib/systemd/system/sysinit.target.wants/plymouth-read-write.service
/lib/systemd/system/sysinit.target.wants/plymouth-start.service
/lib/systemd/system/systemd-ask-password-plymouth.path
/lib/systemd/system/systemd-ask-password-plymouth.service
/usr/bin/plymouth
/usr/bin/rhgb-client
/usr/lib64/plymouth/details.so
/usr/lib64/plymouth/renderers
/usr/lib64/plymouth/renderers/drm.so
/usr/lib64/plymouth/renderers/frame-buffer.so
/usr/lib64/plymouth/text.so
/usr/libexec/plymouth
/usr/sbin/plymouthd
/usr/share/doc/plymouth-0.8.8
/usr/share/doc/plymouth-0.8.8/AUTHORS
/usr/share/doc/plymouth-0.8.8/NEWS
/usr/share/doc/plymouth-0.8.8/README
/usr/share/man/man8/plymouth.8.gz
/usr/share/plymouth
/usr/share/plymouth/default-boot-duration
/usr/share/plymouth/plymouthd.defaults
/usr/share/plymouth/themes
/usr/share/plymouth/themes/details
/usr/share/plymouth/themes/details/details.plymouth
/usr/share/plymouth/themes/text
/usr/share/plymouth/themes/text/text.plymouth
/var/lib/plymouth
/var/lib/plymouth/boot-duration
/var/run/plymouth
/var/spool/plymouth
Comment 3 udo 2013-06-11 22:40:31 EDT
No rpm for Fedora 17?
Comment 4 udo 2013-06-11 22:40:56 EDT
There's also dracut files for plymouth...

Note You need to log in before you can comment on or make changes to this bug.